SystemOrganization addCategory: #'Seaside-Tests-Environment'!

TestCase subclass: #WAEnvironmentDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAEnvironmentDefaultHandlersTest methodsFor: 'private' stamp: 'jf 3/15/2009 18:38'!
defaultDispatcher
	^ WAAdmin defaultDispatcher! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'tests' stamp: 'jf 11/3/2009 01:33'!
testDefaultFiles
	| app |
	app := self defaultDispatcher entryPointAt: 'files'.
	self assert: app class == WAFileHandler.
	self deny: app isDispatcher.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'files'.
	self assert: app url pathString = '/files'! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'tests' stamp: 'jf 11/3/2009 01:33'!
testDefaultRoot
	| app |
	app := self defaultDispatcher.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self assert: app isRoot.
	self deny: app isApplication.
	self assert: app parent isNil.
	self assert: app name = ''.
	self assert: app url pathString = '/'! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'tests' stamp: 'lr 7/25/2011 19:01'!
testInvalidConfig
	| app |
	app := self defaultDispatcher handlerAt: 'examplesxyz/counter' ifAbsent: [ nil ].
	self assert: app isNil.
	app := self defaultDispatcher handlerAt: 'examples/counterxyz' ifAbsent: [ nil ].
	self assert: app isNil.
	! !

WAFileHandlerListingTest subclass: #WAHtmlFileHandlerListingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:42'!
expectedMimeType
	^ WAMimeType textHtml! !

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:36'!
handlerClass
	^ WAHtmlFileHandlerListing! !

WAContextTest subclass: #WALegacyRedirectionHandlerTest
	instanceVariableNames: 'handler'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WALegacyRedirectionHandlerTest methodsFor: 'configuration' stamp: 'pmm 8/16/2010 08:36'!
createHandlers
	^ Array with: handler! !

!WALegacyRedirectionHandlerTest methodsFor: 'configuration' stamp: 'pmm 8/16/2010 08:34'!
createRequest
	^ WARequest
		method: 'GET'
		uri: '/seaside/pier/environment/pier.png?view=PRDownloadView'
		version: 1.1
		! !

!WALegacyRedirectionHandlerTest methodsFor: 'running' stamp: 'pmm 8/16/2010 08:35'!
setUp
	handler := WALegacyRedirectionHandler new! !

!WALegacyRedirectionHandlerTest methodsFor: 'tests' stamp: 'pmm 8/16/2010 08:40'!
testKeepParameters
	| responseUrl response |
	[ handler handleFiltered: self requestContext ]
		on: WAResponseNotification
		do: [ :notification | "ignore" ].
	response := self requestContext response.
	self assert: response status = 301.
	responseUrl := response headerAt: 'Location'.
	self assert: responseUrl greaseString = '/pier/environment/pier.png?view=PRDownloadView'! !

!GRPackage class methodsFor: '*seaside-tests-environment' stamp: 'lr 2/17/2010 15:13'!
seasideTestsEnvironment
	^ self new
		name: 'Seaside-Tests-Environment';
		description: 'Unit tests for the package Seaside-Environment.';
		addDependency: 'Seaside-Environment';
		addDependency: 'Seaside-Tests-Component';
		addDependency: 'Seaside-Tests-RenderLoop';
		addDependency: 'Seaside-Tests-Session';
		addDependency: 'Seaside-Tests-Canvas';
		url: #seasideUrl;
		yourself! !
